{
  description = "hermitpkgs nix flake for qeustionable usecases";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    nix-colors.url = "github:misterio77/nix-colors";
    nixvim = {
      url = "github:nix-community/nixvim";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = { 
     nixpkgs,
     nix-colors,
     nixvim,
     ... 
  }:
  let
     system = "x86_64-linux";
  in {
    packages.${system} = {
      vim = nixvim.legacyPackages.${system}.makeNixvimWithModule {
        module = import ./pkgs/vim;
      };
    };
  };
}
