{
  plugins.startup = {
    enable = true;
    extraOptions= {
      keygen_church = {
        type = "text";
	title = "PRAISE THE CODE";
	defaultColor = "#FF0000";
	highlight = "";
	margin = 5;
	align = "center";
	content = [
	    "                  █                  "
            "                ▓ █ ▓                "
            "                 ░█░                 "
            "                  █                  "
            "                ▓ █ ▓                "
            "        █       ▓ █ ▓       █        "
            "      ▓ █ ▒   █ ▓ █ ▓ █   ▒ █ ▓      "
            "    ▒ ▓ █ ▒ ▓ █ ▓ █ ▓ █ ▓ ▒ █ ▓ ▒    "
            "  ░ ▒ ▓ █ ▒ ▓ █ ▓ █ ▓ █ ▓ ▒ █ ▓ ▒ ░  "
            "░ ░ ▒ ▓ █ ▒ ▓ █ ▓ █ ▓ █ ▓ ▒ █ ▓ ▒ ░ ░"
            "      ▓       █ ▓ █ ▓ █       ▓      "
            "   ▓  ▓  ▓                 ▓  ▓  ▓   "
            "   ▒  ▓  ▒     ▓  ▓  ▓     ▒  ▓  ▒   "
            "    ░▒▓▒░      ▒  ▒  ▒      ░▒▓▒░    "
            "      ▓     ▓  ░░░▒░░░  ▓     ▓      "
            "      ▓     ▒     ▒     ▒     ▓      "
            "      ▒     ░░░░▒▒▒▒▒░░░░     ▒      "
            "      ▒           ▒           ▒      "
            "      ░       ▓▒░░▒░░▒▓       ░      "
            "      ░          ▒ ▒          ░      "
            "                ▒   ▒                "
            "                ▒   ▒                "
            "                 ▒▒▒                 "
	];
	oldfilesAmount = 0;
      };
      praise = {
        type = "text";
	content = ["PRAISE THE CODE"];
	align = "center";
	highlight = "";
	defautlColor = "#CCCCCC";
      };
      piano = {
        type = "text";
	align = "center";
	highlight = "";
	defaultColor = "#FF0000";
	content = [
            "░▓░▓░░▓░▓░▓░░▓░▓░░▓░▓░▓░░"
	    "░░░░░░░░░░░░░░░░░░░░░░░░░"
	];
      };
      body = {
        type = "mapping";
	align = "center";
        foldSection = false;
	title = "Commands";
	margin = 0;
	content = [
	  [ "READ AS IS WRITTEN" "Telescope find_files" "<leader>f" ] # Requires telescope
          [ "THE OLD CODE REMAINS" "Telescope oldfiles" "<leader>r" ] # Requires telescope
	  [ "WANDER THROUGH THE ARCHIVES" "Telescope file_browser" "<leader>b" ] # Requires telescope and file_browser
	  [ "REMEMBER ALL THAT HAS BEEN" "Telescope git_commits" "<leader>l" ] # Requires telescope
	  [ "AWAIT ALL THAT WILL" "Telescope git_status" "<leader>s" ] # Requires telescope
	  [ "RECORD FOR THOSE TO COME" "lua require'startup'.new_file()" "<leader>n" ]
	];
	highlight = "";
	default_color = "#BF0000";
      };
      options = {
        mappingKeys = true;
	disableStatuslines = true;
	cursonColum = 0.5;
	paddings = [ 10 1 1 0];
      };
      mappings = {
        executeCommand = "<CR>";
	openFile = "o";
	openFileSplit = "<c-o>";
	openSection = "<TAB>";
	openHelp = "?";
      };
      colors = {
        background = "#000000";
      };
      parts = [
        "keygen_church"
	"praise"
	"body"
	"piano"
      ];
    };
  };
}
